#include <bits/stdc++.h>
#define ll long long
#define x first
#define y second
#define MOD 1000000007
using namespace std;

int main() {
    int n;
    cin >> n;
    vector<pair<ll, ll>> a(n);
    set<ll> xs,ys;

    for (int i = 0; i < n; i++) {
        cin >> a[i].x >> a[i].y;
        xs.insert(a[i].x);
        ys.insert(a[i].y);

        ll maks = 0;
        for (ll x : xs) {
            for (ll y : ys) {
                ll sum = 0;
                for(int j = 0; j < i; j++) {
                    sum = (sum + abs(a[j].x-x) * abs(a[j].y-y));
                }
                maks = max(maks, sum);
            }
        }
        cout << (maks % MOD) << "\n";
    }

    return 0;
}